## eudev 3.2.2

=== debian/changelog ===
eudev (3.2.2-17) ascii; urgency=medium

  * fix "Required-Stop: umountroot" typo.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 11 Dec 2019 18:36:15 +0000

eudev (3.2.2-16) ascii; urgency=medium

  * fix --make-pidfile, not --makepidfile

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 19 Nov 2018 18:54:51 +1300

eudev (3.2.2-15) ascii; urgency=medium

  * force compression level to 9

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 19 Nov 2018 14:31:29 +1300

eudev (3.2.2-14) ascii; urgency=medium

  * Fix shutdown failure with truecrypt/dmcrypt setups (Closes: #261)
  * add pidfile cleanup to eudev.prerm
  * clean systemd-udev maint script leftovers
  * Change to Devuan Dev team maintanence

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 19 Nov 2018 12:02:52 +1300

eudev (3.2.2-13) ascii; urgency=medium

  * debian/udev.maintscript: Fix upgrade of eudev by removing possible
  remaining udev conffiles.
  * debian/udev.postrm: Comment out db_purge, not found.

 -- Svante Signell <svante.signell@gmail.com>  Fri, 06 Apr 2018 12:37:23 +0100

eudev (3.2.2-12) ascii; urgency=medium

  * debian/eudev.init: Add udev to Provides: (Closes: #186)
  * debian/control: Exchange names of parazyd and myself as Maintainer/Uploaders
  * debian/changelog: Fix 2017 -> 2018 typo in previous entry,

 -- Svante Signell <svante.signell@gmail.com>  Mon, 05 Mar 2018 11:55:23 +0100

eudev (3.2.2-11) ascii; urgency=medium

  * debian/eudev.postinst: Run invoke-rc.d on eudev.init, not udev.init

 -- Svante Signell <svante.signell@gmail.com>  Mon, 12 Feb 2018 11:55:23 +0100

eudev (3.2.2-10) ascii; urgency=medium

  * amended eudev-udeb to include udevd 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Sun, 11 Feb 2018 08:41:24 +0000

eudev (3.2.2-9) unstable; urgency=medium

  * Prepare package for Ascii

 -- Ivan J. <parazyd@dyne.org>  Wed, 06 Dec 2017 13:56:00 +0100

eudev (3.2.2-9) experimental; urgency=medium

  * debian/changelog:
    - Change package name to 3.2.2-9. No need for +devuan2. It is redundant.
    - Fix typo in previous changelog entry: 3.2.2+8+devuan2 -> 3.2.2-8+devuan2

 -- Svante Signell <svante.signell@gmail.com>  Wed, 06 Dec 2017 13:09:23 +0100

eudev (3.2.2-8+devuan2) experimental; urgency=medium

  [ Svante Signell ]
  * debian/changelog: Rename package name to 3.2.2+8+devuan2. Other fixes below.
  * debian/control: Fix uploader name.
  * debian/eudev.NEWS: Fix version and add info about the fork of systemd.
  * debian/eudev.postinst: Remove systemd code.
  * debian/eudev.postrm: Add dh_purge.
  * debian/eudev.preinst: Remove upstart and systemd code.
  * debian/extra/udev-helpers/net.agent: Remove systemd code.
  * debian/eudev.init: Remove upstart code.
  * debian/source.lintian-overrides: Fix lintian warnings.
  * debian/eudev.lintian-overrides: Fix lintian warnings and error.
  * debian/libeudev1.lintian-overrides: Fix lintian warnings.
  * debian/libeudev-dev.lintian-overrides: Fix lintian warnings.
  * debian/libeudev1-udeb.lintian-overrides: Fix lintian warning: Not effective!
  * Transitional packages udev, libudev1 and libudev-dev are now real 3.0 (native) packages.

  [ Hleb Valoshka ]
  * debian/control: Fix hardcoded Replaces, Provides and Conflicts entries.
  * debian/copyright: Fix copyright files.

 -- Svante Signell <svante.signell@gmail.com>  Sat, 02 Dec 2017 21:28:23 +0100

eudev (3.2.2-devuan2.7) experimental; urgency=medium

  * debian/control: Fix Provides and Conflicts entries.
    Add dummy transitional packages using equivs for udev, libudev1, libudev-dev.
  * debian/*.install: Complete renaming of libudev* to libeudev*
  * debian/udev.triggers: Rename to eudev.triggers

 -- Svante Signell <svante.signell@gmail.com>  Mon, 30 Oct 2017 13:36:23 +0100

eudev (3.2.2-devuan2.6) experimental; urgency=medium
  * debian/rules: Fix renaming of libudev* to libeudev*

 -- Svante Signell <svante.signell@gmail.com>  Thu, 26 Oct 2017 08:22:23 +0200

eudev (3.2.2-devuan2.5) experimental; urgency=medium
  * debian/changelog: Remove epoch from 220:3.2.2-devuan2.4, new version: 3.2.2-devuan2.5
  * debian/control:
    - Rename packages libudev* to libeudev*
    - Changelog correction for devuan2.1: Fix Maintainer and Uploaders entries in debian/control

 -- Svante Signell <svante.signell@gmail.com>  Tue, 24 Oct 2017 16:39:23 +0200

eudev (220:3.2.2-devuan2.4) experimental; urgency=medium

  * Reverse net.ifnames logic in the rules

 -- Ivan J. <parazyd@dyne.org>  Sun, 20 Aug 2017 14:50:00 +0200

eudev (220:3.2.2-devuan2.3) experimental; urgency=medium

  * Revert udev.init to eudev.init

 -- Ivan J. <parazyd@dyne.org>  Sat, 3 Jul 2017 10:25:00 +0200

eudev (220:3.2.2-devuan2.2) experimental; urgency=medium

  * Delete debian/tests because they are too systemd dependent

 -- Ivan J. <parazyd@dyne.org>  Sat, 24 Jun 2017 15:05:00 +0200

eudev (220:3.2.2-devuan2.1) experimental; urgency=medium
  * Fix Maintainer and Uploaders entries debian/udev.init
  * Revert change of udev.init to eudev.init.
  * Remove generated man pages and add to debian/rules clean target.
  * Restore original source files. They are patched by quilt.
  * Remove bogus patch 0010-Commit-refreshed-patches-in-debian-patches.patch
    generated  by gbp pq export.

 -- Svante Signell <svante.signell@gmail.com>  Tue, 20 Jun 2017 16:46:23 +0200

eudev (220:3.2.2-devuan2) experimental; urgency=medium

  * Populate a new debian/ directory from the gentoo fork based on version
    3.2.2 released April 19 2017, Devuan 220:3.2.2-devuan1 and debian/*
    files in systemd 232-23. See git log for the gentoo sources at
    https://github.com/gentoo/eudev.git.

  * debian/control: Rename SysV init file /etc/init.d/udev to /etc/init.d/eudev

  * debian/rules:
    - Remove symbolic links created during build in clean target.
    - Add control build of *.udeb with DEB_BUILD_PROFILES="noudeb"

  * debian/extra: Create directories, fix file permissions and move files to

