=== debian/control ===
Source: eudev
Section: admin
Priority: optional
Maintainer: Devuan Dev Team <devuan-dev@list.dyne.org>
Uploaders: Ivan J. <parazyd@dyne.org>,
           Anto <aryanto@chello.at>, 
           Svante Signell <svante.signell@gmail.com>,
           Daniel Reurich <daniel@centurion.net.nz>,
Changed-By: Daniel Reurich <daniel@centurion.net.nz>
Standards-Version: 3.9.8
Vcs-Git: https://git.devuan.org/devuan-packages/eudev.git
Vcs-Browser: https://git.devuan.org/devuan-packages/eudev.git
Homepage: https://wiki.gentoo.org/wiki/Project:Eudev
Build-Depends: debhelper (>= 9.20160114),
               dpkg-dev (>= 1.17.14),
               pkg-config,
               docbook-xsl,
               docbook-xml,
               m4,
               dh-autoreconf,
               automake (>= 1.13),
               autoconf (>= 2.63),
               intltool,
               gperf,
               gnu-efi [amd64 i386 arm64],
               libcap-dev (>= 1:2.24-9~),
               libselinux1-dev (>= 2.1.9),
               libacl1-dev,
               libkmod-dev (>= 15),
               libblkid-dev (>= 2.25),
               gobject-introspection,
               libglib-object-introspection-perl,
               xsltproc

Package: eudev
Section: admin
Priority: important
Architecture: linux-any
Multi-Arch: foreign
Provides: udev (= 1:${source:Version})
Conflicts: udev (<< 1:${source:Version}), hal
Replaces: udev (>= 215),
	  bash-completion (<< 1:2.1)
Pre-Depends: debconf, ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         libeudev1 (= ${binary:Version}),
         lsb-base (>= 3.0-6),
         util-linux (>= 2.27.1),
         s390-tools (>> 1.6.2) [s390],
         procps
Breaks: consolekit (<< 0.4.6-1),
        kmod (<< 14),
        systemd (>> 220),
        plymouth (<< 0.9.0-7),
        bash-completion (<< 1:2.1),
Description: /dev/ and hotplug management daemon
 eudev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.

Package: libeudev1
Section: libs
Priority: important
Architecture: linux-any
Multi-Arch: same
Replaces: libudev1 (<< 1:${source:Version})
Provides: libudev1 (= 1:${source:Version})
Conflicts: libudev1 (<< 1:${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: libeudev shared library
 This library provides access to eudev device information.

Package: libeudev-dev
Section: libdevel
Priority: optional
Architecture: linux-any
Multi-Arch: same
Replaces: libudev-dev (<< 1:${source:Version})
Provides: libudev-dev (= 1:${source:Version})
Conflicts: libudev-dev (<< 1:${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libeudev1 (= ${binary:Version})
Description: libeudev development files
 This package contains the files needed for developing applications that
 use libeudev1.

Package: eudev-udeb
Build-Profiles: <!noudeb>
XC-Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         util-linux-udeb
Description: /dev/ and hotplug management daemon
 eudev is a daemon which dynamically creates and removes device nodes from
 /dev/, handles hotplug events and loads drivers at boot time.
 .
 This is a minimal version, only for use in the installation system.

Package: libeudev1-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Priority: optional
Architecture: linux-any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: libeudev shared library
 This library provides access to eudev device information.
 .
 This is a minimal version, only for use in the installation system.
