=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS="nostrip"
#export DEB_BUILD_PROFILES="noudeb"

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CONFFLAGS = \
	--exec-prefix= \
	--with-rootprefix= \
	--with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
	--disable-silent-rules

CONFFLAGS_deb = \
	--enable-selinux \
	--enable-manpages \
	$(NULL)

CONFFLAGS_udeb = \
	--disable-selinux \
	--disable-manpages

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-deb \
		-- $(CONFFLAGS) $(CONFFLAGS_deb)
	dh_auto_configure --builddirectory=build-udeb \
		-- $(CONFFLAGS) $(CONFFLAGS_udeb)

override_dh_auto_build:
	dh_auto_build --builddirectory=build-deb
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_auto_build --builddirectory=build-udeb
endif

override_dh_auto_install:
	dh_auto_install --builddirectory=build-deb \
		--destdir=debian/install/deb
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_auto_install --builddirectory=build-udeb \
		--destdir=debian/install/udeb
endif

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-deb
	dh_auto_clean --builddirectory=build-udeb
	rm -rf debian/install/
	-rm depcomp install-sh ltmain.sh missing compile config.guess config.sub test-driver
	-rm m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4
	-rm man/*.5 man/*.7 man/*.8
	-rm Makefile.in */Makefile.in */*/Makefile.in
	-rm aclocal.m4 config.h.in configure
	-rm -r .pc

override_dh_install:
	# remove unnecessary / unused files
	rm -f debian/install/*/usr/share/doc/eudev/LICENSE.*
	rm -f debian/install/*/var/log/README
	rm -f debian/install/*/etc/init.d/README
	rm -f debian/install/*/usr/share/man/man8/kernel-install.8
	rm -f debian/install/*/usr/bin/kernel-install
	rm -rf debian/install/*/usr/lib/kernel/install.d
	rm -rf debian/install/*/etc/rpm/
	rm -rf debian/install/*/usr/lib/rpm/
	rm -rf debian/install/*/etc/kernel/
	find debian/install/ -name '*.la' -delete
ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
	dh_install -peudev-udeb -plibeudev1-udeb --sourcedir=debian/install/udeb --list-missing
endif
	dh_install -Neudev-udeb -Nlibeudev1-udeb --sourcedir=debian/install/deb --list-missing
	mkdir -p debian/eudev/etc/udev/rules.d
	mkdir -p debian/eudev/etc/udev/hwdb.d

override_dh_installdocs:
#FIXME: see systemd-232/debian/changelog
	# use symlinked doc directories as the old udev package did
#	dh_installdocs -peudev -plibeudev-dev --link-doc=libeudev1
	dh_installdocs --remaining-packages

override_dh_installinit:
	dh_installinit --no-start

override_dh_makeshlibs:
	dh_makeshlibs -plibeudev1 --add-udeb=libeudev1-udeb
	dh_makeshlibs --remaining-packages

autoreconf:
	./autogen.sh

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# some tests hang under fakeroot, so disable fakeroot
	make -C build-deb check || ( \
	cd build-deb; \
	for f in test-*.log; do echo "==== $$f ===="; cat $$f; done; \
	exit 0; )  # replace with 1 to make failures fatal
endif

%:
	dh $@ --with autoreconf
