=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: eudev
 Section: admin
 Priority: optional
-Maintainer: Devuan Dev Team <devuan-dev@list.dyne.org>
-Uploaders: Ivan J. <parazyd@dyne.org>,
-           Anto <aryanto@chello.at>, 
-           Svante Signell <svante.signell@gmail.com>,
-           Daniel Reurich <daniel@centurion.net.nz>,
-Changed-By: Daniel Reurich <daniel@centurion.net.nz>
+Maintainer: Ivan J. <parazyd@dyne.org>
+Uploaders: Svante Signell <svante.signell@gmail.com>, 
+	Anto <aryanto@chello.at>, 
+	Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
 Standards-Version: 3.9.8
 Vcs-Git: https://git.devuan.org/devuan-packages/eudev.git
 Vcs-Browser: https://git.devuan.org/devuan-packages/eudev.git
@@ -37,9 +35,9 @@
 Priority: important
 Architecture: linux-any
 Multi-Arch: foreign
-Provides: udev (= 1:${source:Version})
-Conflicts: udev (<< 1:${source:Version}), hal
-Replaces: udev (>= 215),
+Provides: udev (= 232:${source:Version})
+Conflicts: udev (<< 232:${source:Version}), hal
+Replaces: udev (>= 232),
 	  bash-completion (<< 1:2.1)
 Pre-Depends: debconf, ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
@@ -64,9 +62,9 @@
 Priority: important
 Architecture: linux-any
 Multi-Arch: same
-Replaces: libudev1 (<< 1:${source:Version})
-Provides: libudev1 (= 1:${source:Version})
-Conflicts: libudev1 (<< 1:${source:Version})
+Replaces: libudev1 (<< 232:${source:Version})
+Provides: libudev1 (= 232:${source:Version})
+Conflicts: libudev1 (<< 232:${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -78,9 +76,9 @@
 Priority: optional
 Architecture: linux-any
 Multi-Arch: same
-Replaces: libudev-dev (<< 1:${source:Version})
-Provides: libudev-dev (= 1:${source:Version})
-Conflicts: libudev-dev (<< 1:${source:Version})
+Replaces: libudev-dev (<< 232:${source:Version})
+Provides: libudev-dev (= 232:${source:Version})
+Conflicts: libudev-dev (<< 232:${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
