=== debian/watch ===
version=3
https://github.com/gentoo/eudev/archive/v(\d+)\.tar\.gz
