## eudev 3.2.6

=== debian/changelog ===
eudev (232:3.2.6) unstable; urgency=medium

  * new

 -- anticapitalista <antix@operamail.com>  Wed, 26 Sep 2018 18:43:08 +0300
