## eudev 3.2.7

=== debian/changelog ===
eudev (232:3.2.7) unstable; urgency=medium

  * built on latest stable upstream
  * modified from devuan package for antiX - still use udev in /etc/init.d not udev
  * upstream changes 
  [ Marcus Folkesson ]
  * udevd.c: list all short options in help text
  * udevd.c: event-timout options requires an argument
  * libudev-monitor.c: fail to monitor udev if udev is not started
  * CONTRIBUTION: give instruction on how to send patches to mailinglist
  * util.c: cleanup warnings
  * udev-event.c: do not assign s to address to pointer
  * man: remove UDEV_LOG environment variable
  * man: add short options to manpage
  * udevd: spit out --debug to stderr
  * consistently use #pragma once for header files
  * hwdb: add tool to parse hwdb grammer
  * rules: update
  * hwdb: update

  [ Anthony G. Basile ]
  * udev-builtin-input_id.c: import upstream's work on input devices, issue #154
  * udev-builtin-input_id.c: remove BTN_DPAD_* keys, upstream's commit f472d466ec
  * rules/Makefile.am: install 60-input-id.rules and 70-joystick.rules

  [ nnnn20430 ]
  * man: add short options to udevd.xml; update udev.7

  [ Donald Johnson ]
  * Add line buffering to udevadm monitor output

  [ Piraty ]
  * hwdb: sync with systemd/hwdb

  [ Anthony G. Basile ]
  * configure.ac: bump to version 3.2.6
  * rules/50-udev-default.rules: fix issue 160
  * rules/64-btrfs.rules: substitue @bindir@

  [ Peter Hutterer ]
  * udev: don't label high-button mice as joysticks

  [ Anthony G. Basile ]
  * configure.ac: bump to version 3.2.7

  [ Daniel Reurich ]
  * refreshed patches
  * become maintainer

 -- anticapitalista <antix@operamail.com>  Mon, 31 Dec 2018 13:19:40 +0200
