## eudev 3.2.7.1

=== debian/changelog ===
eudev (232:3.2.7.1) unstable; urgency=medium

  * added nvidiafb and rivafb to fbdev-blacklist.conf

 -- anticapitalista <antix@operamail.com>  Thu, 24 Jan 2019 00:55:22 +0200
