## eudev 3.2.7.2

=== debian/changelog ===
eudev (232:3.2.7.2) unstable; urgency=medium

  * fix umountrootfs
  * fix --make-pidfile, not --makepidfile
  * Fix shutdown failure with truecrypt/dmcrypt setups
  * add pidfile cleanup to eudev.prerm
  * clean systemd-udev maint script leftovers
  * the above are devuan changes

 -- anticapitalista <antix@operamail.com>  Wed, 27 Feb 2019 19:15:47 +0200
