## eudev 3.2.7.3

=== debian/changelog ===
eudev (232:3.2.7.3) unstable; urgency=high3

  * make sure udev init is installed!

 -- anticapitalista <antix@operamail.com>  Wed, 27 Feb 2019 21:06:48 +0200
