=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: eudev
 Section: admin
 Priority: optional
-Maintainer: Ivan J. <parazyd@dyne.org>
-Uploaders: Svante Signell <svante.signell@gmail.com>, 
-	Anto <aryanto@chello.at>, 
-	Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
+Maintainer: Svante Signell <svante.signell@gmail.com>
+Uploaders: Ivan J. <parazyd@dyne.org>, Anto <aryanto@chello.at>, Centurion_Dan <daniel@centurion.net.nz>
 Standards-Version: 3.9.8
 Vcs-Git: https://git.devuan.org/devuan-packages/eudev.git
 Vcs-Browser: https://git.devuan.org/devuan-packages/eudev.git
