## eudev 3.2.8

=== debian/changelog ===
eudev (232:3.2.8) unstable; urgency=medium

  * latest upsteam 3.2.8 

 -- anticapitalista <antix@operamail.com>  Mon, 16 Sep 2019 22:24:53 +0100
