## eudev 3.2.9

=== debian/changelog ===
eudev (3.2.9-10~beowulf1) beowulf; urgency=medium

  * Release for beowulf-proposed-updates.

 -- Svante Signell <svante.signell@gmail.com>  Wed, 08 Sep 2021 12:53:24 +0200

eudev (3.2.9-10) unstable; urgency=high

  * debian/eudev.maintscript: Remove. Fixes build with debhelper 13.5.
  * debian/changelog: Fix indentation and long lines.
  * debian/eudev.preinst: Fix detection of needed kernel features for
    recent kernels. (Closes: #407, #598)
  * debian/control: Remove dependency on debconf.
  * debian/eudev.postrm: Remove db_purge since we no longer use debconf.
    (Closes: #600)

 -- Svante Signell <svante.signell@gmail.com>  Sat, 04 Sep 2021 13:05:24 +0200

eudev (3.2.9-9~beowulf1) beowulf; urgency=medium

  * Release for beowulf-proposed-updates.

 -- Svante Signell <svante.signell@gmail.com>  Sat, 20 Mar 2021 20:43:24 +0100

eudev (3.2.9-9) unstable; urgency=medium

  * debian/rules: Add --bindir=/bin to CONFFLAGS to fix path in 64-btrfs.rules.
    Problem found upstream: https://bugs.gentoo.org/739268 (Closes: #527, #538)
  * debian/eudev.postinst: Fix postinst when input, kvm or render groups, with
    gid >= 1000 are present. Solution proposed by Bob Proulx <bob@proulx.com>
    (Closes: #548)

 -- Svante Signell <svante.signell@gmail.com>  Fri, 26 Feb 2021 13:49:24 +0100

eudev (3.2.9-8~beowulf1) beowulf; urgency=medium

  * Release for beowulf-proposed-updates.

 -- Svante Signell <svante.signell@gmail.com>  Sat, 07 Nov 2020 21:09:24 +0100

eudev (3.2.9-8) unstable; urgency=medium

  * debian/eudev.init:
    - Fix startup with slow boot media like DVD and USB.
      Thanks Trek <trek00@inbox.ru> for the patch (Closes: #483)
  * debian/control: Fix Vcs-Git and Vcs-Browser entries.
  * debian/watch: Use tags to find latest release.
  * debian/rules:
    - Use autogen.sh directly and remove target autoreconf.
    - Use DEB_BUILD_MAINT_OPTIONS = hardening=+all instead of CFLAGS etc.
  * debian/changelog: Fix spelling error in 3.2.7-2.
  * .gitignore: Add emacs backup files *~.

  * Fixed lintian warning/info entries:

  * debian/patches: man_udev.xml.patch
    Fixes: eudev: spelling-error-in-manpage

  * debian/control:
    Fixes: eudev source: rules-requires-root-missing,
      out-of-date-standards-version (no changes),
      binary-control-field-duplicates-source field "section" in package eudev,
      binary-control-field-duplicates-source field "priority" in package
      libeudev1 libeudev-dev eudev-udeb libeudev1-udeb,
      xc-package-type-in-debian-control

  * debian/rules:
    Fixes: eudev: hardening-no-bindnow

  * debian/tests: New directory. Contents: control, udev
    Fixes: eudev source: testsuite-autopkgtest-missing

  * debian/copyright:
    Fixes: eudev source: insecure-copyright-format-uri,
      wildcard-matches-nothing-in-dep5-copyright src/core/securebits.h,
      unused-file-paragraph-in-dep5-copyright

  * debian/compat: Remove
  * debian/control: Replace build dependency on
    debhelper (>=10) with debhelper-compat (=12)
    Fixes: package-uses-old-debhelper-compat-version,
      extended-description-is-probably-too-short: eudev, libeudev, libeudev-dev

  * debian/eudev.pre{inst,rm},eudev.post{inst,rm}
    Fixes: eudev: maintainer-script-without-set-e: pre{inst,rm}, post{inst,rm}

  * debian/libeudev1.symbols: Don't include a libeudev1.symbols file to avoid:
    symbols-file-contains-current-version-with-debian-revision.
    Instead use an override for the warning: no-symbols-control-file.

  * debian/source/lintian-overrides:
    eudev source: source-contains-data-from-ieee-data-oui-db
    eudev source: upstream-metadata-file-is-missing
    eudev source: debian-watch-does-not-check-gpg-signature

  * debian/eudev.lintian-overrides:
    eudev: appstream-metadata-missing-modalias-provide
    eudev: spelling-error-in-binary
    eudev: improbable-bug-number-in-closes
    eudev: conflicts-with-version udev (<< 1:3.2.9+devuan4)
    # Unknown why
    eudev: hardening-no-fortify-functions lib/udev/mtd_probe

  * debian/libeudev1.lintian-overrides:
    libeudev1: package-name-doesnt-match-sonames
    libeudev1: improbable-bug-number-in-closes
    libeudev1: conflicts-with-version libudev1 (<< 1:3.2.9+devuan4)
    libeudev1: no-symbols-control-file lib/x86_64-linux-gnu/libudev.so.1.6.3

  * debian/libeudev-dev.lintian-overrides:
    libeudev-dev: improbable-bug-number-in-closes
    libeudev-dev: conflicts-with-version libudev-dev (<< 1:3.2.9+devuan4)

  * eudev-udeb.lintian-overrides:
    # None of these overrides work: Why?
    eudev-udeb udeb: hardening-no-fortify-functions lib/udev/mtd_probe
    eudev-udeb udeb: spelling-error-in-binary bin/udevadm ressize resize
    eudev-udeb udeb: spelling-error-in-binary sbin/udevd ressize resize
    eudev-udeb udeb: debug-package-should-be-named-dbg usr/lib/debug/.dwz/

  * libeudev1-udeb.lintian-overrides:
   # This override does not work: Why?
   libeudev1-udeb udeb: package-name-doesnt-match-sonames libudev1

 -- Svante Signell <svante.signell@gmail.com>  Wed, 04 Nov 2020 16:48:24 +0100

eudev (3.2.9-7) unstable; urgency=medium

  * debian/eudev.init:
    - Revert to the old method to detect a container: ps names contains
      brackets.
    - Clarify error messages, eudev vs udevd.

  * debian/changelog: Delete trailing whitespace.

 -- Svante Signell <svante.signell@gmail.com>  Mon, 02 Mar 2020 10:32:24 +0100

eudev (3.2.9-6) unstable; urgency=medium

  * debian/eudev.init: Add /usr/bin to PATH to find head (Closes: #399)

 -- Svante Signell <svante.signell@gmail.com>  Sun, 23 Feb 2020 12:41:24 +0100

eudev (3.2.9-5) unstable; urgency=medium

  * debian/eudev.init: Use a better container detector (Closes: #392)

 -- Svante Signell <svante.signell@gmail.com>  Sat, 22 Feb 2020 23:46:24 +0100

eudev (3.2.9-4) unstable; urgency=medium

  * debian/control:
    Add Origin: Devuan
    Fix typo in Maintainer: field.
    Make Conflicts: depend on a fixed native udev version. Closes: #376

