=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,14 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+
 CONFFLAGS = \
 	--exec-prefix= \
+	--bindir=/bin \
 	--with-rootprefix= \
 	--with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
 	--disable-silent-rules
@@ -25,7 +31,7 @@
 	dh_auto_configure --builddirectory=build-deb \
 		-- $(CONFFLAGS) $(CONFFLAGS_deb)
 	dh_auto_configure --builddirectory=build-udeb \
-		-- $(CONFFLAGS) $(CONFFLAGS_udeb)
+		-- $(CONFFLAGS) $(CONFFLAGS_deb)
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=build-deb
@@ -47,7 +53,7 @@
 	rm -rf debian/install/
 	-rm depcomp install-sh ltmain.sh missing compile config.guess config.sub test-driver
 	-rm m4/libtool.m4 m4/ltoptions.m4 m4/ltsugar.m4 m4/ltversion.m4 m4/lt~obsolete.m4
-	-rm man/*.5 man/*.7 man/*.8
+	-rm man/hwdb.7
 	-rm Makefile.in */Makefile.in */*/Makefile.in
 	-rm aclocal.m4 config.h.in configure
 	-rm -r .pc
@@ -65,32 +71,26 @@
 	rm -rf debian/install/*/etc/kernel/
 	find debian/install/ -name '*.la' -delete
 ifeq (, $(filter noudeb, $(DEB_BUILD_PROFILES)))
-	dh_install -peudev-udeb -plibeudev1-udeb --sourcedir=debian/install/udeb --list-missing
+	dh_missing
+	dh_install -peudev-udeb -plibeudev1-udeb --sourcedir=debian/install/udeb
 endif
-	dh_install -Neudev-udeb -Nlibeudev1-udeb --sourcedir=debian/install/deb --list-missing
+	dh_missing
+	dh_install -Neudev-udeb -Nlibeudev1-udeb --sourcedir=debian/install/deb
 	mkdir -p debian/eudev/etc/udev/rules.d
 	mkdir -p debian/eudev/etc/udev/hwdb.d
 
 override_dh_installdocs:
-#FIXME: see systemd-232/debian/changelog
-	# use symlinked doc directories as the old udev package did
-#	dh_installdocs -peudev -plibeudev-dev --link-doc=libeudev1
 	dh_installdocs --remaining-packages
 
 override_dh_installinit:
 	dh_installinit --no-start
-	#mkdir -p debian/eudev/etc/init.d/
-	install -D --mode 755 debian/udev.init debian/eudev/etc/init.d/udev
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibeudev1 --add-udeb=libeudev1-udeb
 	dh_makeshlibs --remaining-packages
 
-autoreconf:
-	./autogen.sh
-
 override_dh_autoreconf:
-	dh_autoreconf debian/rules -- autoreconf
+	dh_autoreconf ./autogen.sh
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -102,4 +102,4 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@
