## eudev 3.2.9.1

=== debian/changelog ===
eudev (232:3.2.9.1) unstable; urgency=medium

  * latest devuan changes

 -- anticapitalista <antix@operamail.com>  Tue, 14 Jan 2020 20:55:57 +0200

eudev (232:3.2.9) unstable; urgency=medium

  * latest upsteam 3.2.9

 -- anticapitalista <antix@operamail.com>  Sat, 28 Dec 2019 15:43:36 +0200
