=== debian/rules ===
--- 
+++ 
@@ -4,16 +4,14 @@
 #export DEB_BUILD_OPTIONS="nostrip"
 #export DEB_BUILD_PROFILES="noudeb"
 
+CFLAGS='-g -O2 -fstack-protector-strong -Wformat -Werror=format-security'
+LDFLAGS='-Wl,-z,relro'
+CPPFLAGS='-Wdate-time -D_FORTIFY_SOURCE=2'
+
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
 
 CONFFLAGS = \
 	--exec-prefix= \
-	--bindir=/bin \
 	--with-rootprefix= \
 	--with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
 	--disable-silent-rules
@@ -29,9 +27,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build-deb \
-		-- $(CONFFLAGS) $(CONFFLAGS_deb)
+		-- $(CONFFLAGS) $(CONFFLAGS_deb) CPPFLAGS=$(CPPFLAGS) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS)
 	dh_auto_configure --builddirectory=build-udeb \
-		-- $(CONFFLAGS) $(CONFFLAGS_deb)
+		-- $(CONFFLAGS) $(CONFFLAGS_udeb) CPPFLAGS=$(CPPFLAGS) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS)
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=build-deb
@@ -84,13 +82,18 @@
 
 override_dh_installinit:
 	dh_installinit --no-start
+	#mkdir -p debian/eudev/etc/init.d/
+	install -D --mode 755 debian/udev.init debian/eudev/etc/init.d/udev
 
 override_dh_makeshlibs:
 	dh_makeshlibs -plibeudev1 --add-udeb=libeudev1-udeb
 	dh_makeshlibs --remaining-packages
 
+autoreconf:
+	./autogen.sh
+
 override_dh_autoreconf:
-	dh_autoreconf ./autogen.sh
+	dh_autoreconf debian/rules -- autoreconf
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -102,4 +105,4 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with autoreconf
