## eudev 3.2.9.1.0antix1

=== debian/changelog ===
eudev (246:3.2.9.1.0antix1) unstable; urgency=medium

  * latest version from devuan (3.2.9-8)
 
  * debian/eudev.init:
    - Fix startup with slow boot media like DVD and USB.
      Thanks Trek <trek00@inbox.ru> for the patch (Closes: #483)
  * debian/control: Fix Vcs-Git and Vcs-Browser entries.
  * debian/watch: Use tags to find latest release.
  * debian/rules:
    - Use autogen.sh directly and remove target autoreconf.
    - Use DEB_BUILD_MAINT_OPTIONS = hardening=+all instead of CFLAGS etc.
  * debian/changelog: Fix spelling error in 3.2.7-2.
  * .gitignore: Add emacs backup files *~.

  * Fixed lintian warning/info entries:

  * debian/patches: man_udev.xml.patch
    Fixes: eudev: spelling-error-in-manpage

  * debian/control:
    Fixes: eudev source: rules-requires-root-missing,
      out-of-date-standards-version (no changes),
      binary-control-field-duplicates-source field "section" in package eudev,
      binary-control-field-duplicates-source field "priority" in package
      libeudev1 libeudev-dev eudev-udeb libeudev1-udeb,
      xc-package-type-in-debian-control

  * debian/rules:
    Fixes: eudev: hardening-no-bindnow

  * debian/tests: New directory. Contents: control, udev
    Fixes: eudev source: testsuite-autopkgtest-missing

  * debian/copyright:
    Fixes: eudev source: insecure-copyright-format-uri,
      wildcard-matches-nothing-in-dep5-copyright src/core/securebits.h,
      unused-file-paragraph-in-dep5-copyright

  * debian/compat: Remove
  * debian/control: Replace build dependency on
    debhelper (>=10) with debhelper-compat (=12)
    Fixes: package-uses-old-debhelper-compat-version,
      extended-description-is-probably-too-short: eudev, libeudev, libeudev-dev

  * debian/eudev.pre{inst,rm},eudev.post{inst,rm}
    Fixes: eudev: maintainer-script-without-set-e: pre{inst,rm}, post{inst,rm}

  * debian/libeudev1.symbols: Don't include a libeudev1.symbols file to avoid:
    symbols-file-contains-current-version-with-debian-revision.
    Instead use an override for the warning: no-symbols-control-file.

  * debian/source/lintian-overrides:
    eudev source: source-contains-data-from-ieee-data-oui-db
    eudev source: upstream-metadata-file-is-missing
    eudev source: debian-watch-does-not-check-gpg-signature

  * debian/eudev.lintian-overrides:
    eudev: appstream-metadata-missing-modalias-provide
    eudev: spelling-error-in-binary
    eudev: improbable-bug-number-in-closes
    eudev: conflicts-with-version udev (<< 1:3.2.9+devuan4)
    # Unknown why
    eudev: hardening-no-fortify-functions lib/udev/mtd_probe

  * debian/libeudev1.lintian-overrides:
    libeudev1: package-name-doesnt-match-sonames
    libeudev1: improbable-bug-number-in-closes
    libeudev1: conflicts-with-version libudev1 (<< 1:3.2.9+devuan4)
    libeudev1: no-symbols-control-file lib/x86_64-linux-gnu/libudev.so.1.6.3

  * debian/libeudev-dev.lintian-overrides:
    libeudev-dev: improbable-bug-number-in-closes
    libeudev-dev: conflicts-with-version libudev-dev (<< 1:3.2.9+devuan4)

  * eudev-udeb.lintian-overrides:
    # None of these overrides work: Why?
    eudev-udeb udeb: hardening-no-fortify-functions lib/udev/mtd_probe
    eudev-udeb udeb: spelling-error-in-binary bin/udevadm ressize resize
    eudev-udeb udeb: spelling-error-in-binary sbin/udevd ressize resize
    eudev-udeb udeb: debug-package-should-be-named-dbg usr/lib/debug/.dwz/

  * libeudev1-udeb.lintian-overrides:
   # This override does not work: Why?
   libeudev1-udeb udeb: package-name-doesnt-match-sonames libudev1

 -- anticapitalista <antix@operamail.com>  Tue, 10 Nov 2020 18:14:29 +0200
