## eudev 3.2.9.1.0antix3

=== debian/changelog ===
eudev (246:3.2.9.1.0antix3) unstable; urgency=medium

  * fix tsplash error

 -- anticapitalista <antix@operamail.com>  Mon, 07 Dec 2020 16:34:02 +0200
