=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,12 @@
 #export DEB_BUILD_OPTIONS="nostrip"
 #export DEB_BUILD_PROFILES="noudeb"
 
-CFLAGS='-g -O2 -fstack-protector-strong -Wformat -Werror=format-security'
-LDFLAGS='-Wl,-z,relro'
-CPPFLAGS='-Wdate-time -D_FORTIFY_SOURCE=2'
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
 
 CONFFLAGS = \
 	--exec-prefix= \
@@ -27,9 +28,9 @@
 
 override_dh_auto_configure:
 	dh_auto_configure --builddirectory=build-deb \
-		-- $(CONFFLAGS) $(CONFFLAGS_deb) CPPFLAGS=$(CPPFLAGS) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS)
+		-- $(CONFFLAGS) $(CONFFLAGS_deb)
 	dh_auto_configure --builddirectory=build-udeb \
-		-- $(CONFFLAGS) $(CONFFLAGS_udeb) CPPFLAGS=$(CPPFLAGS) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS)
+		-- $(CONFFLAGS) $(CONFFLAGS_deb)
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=build-deb
@@ -89,11 +90,8 @@
 	dh_makeshlibs -plibeudev1 --add-udeb=libeudev1-udeb
 	dh_makeshlibs --remaining-packages
 
-autoreconf:
-	./autogen.sh
-
 override_dh_autoreconf:
-	dh_autoreconf debian/rules -- autoreconf
+	dh_autoreconf ./autogen.sh
 
 override_dh_auto_test:
 ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
@@ -105,4 +103,4 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@
