## eudev 3.2.9.1.0antix4

=== debian/changelog ===
eudev (246:3.2.9.1.0antix4) unstable; urgency=medium

  * various bugfixes upstream v3.2.9-9 - thanks to devuan team
  * antiX build

 -- anticapitalista <antix@operamail.com>  Mon, 29 Mar 2021 15:51:56 +0300
