## eudev 3.2.9.1.0antix5

=== debian/changelog ===
eudev (246:3.2.9.1.0antix5) unstable; urgency=medium

  * added runit scripts

 -- anticapitalista <antix@operamail.com>  Fri, 10 Sep 2021 14:40:43 +0300
