=== debian/control ===
--- 
+++ 
@@ -35,11 +35,11 @@
 Package: eudev
 Architecture: linux-any
 Multi-Arch: foreign
-Provides: udev (= 1:${source:Version})
-Conflicts: udev (<< 1:3.2.9+devuan4), hal
-Replaces: udev (>= 215),
+Provides: udev (= 232:${source:Version})
+Conflicts: udev (<< 232:${source:Version}), hal
+Replaces: udev (>= 232),
 	  bash-completion (<< 1:2.1)
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends: debconf, ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          adduser,
@@ -64,9 +64,9 @@
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
-Provides: libudev1 (= 1:${source:Version})
-Conflicts: libudev1 (<< 1:3.2.9+devuan4)
-Replaces: libudev1 (>= 215)
+Replaces: libudev1 (<< 232:${source:Version})
+Provides: libudev1 (= 232:${source:Version})
+Conflicts: libudev1 (<< 232:${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -80,9 +80,9 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Provides: libudev-dev (= 1:${source:Version})
-Conflicts: libudev-dev (<< 1:3.2.9+devuan4)
-Replaces: libudev-dev (>= 215)
+Replaces: libudev-dev (<< 232:${source:Version})
+Provides: libudev-dev (= 232:${source:Version})
+Conflicts: libudev-dev (<< 232:${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          libeudev1 (= ${binary:Version})
