=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 
 CONFFLAGS = \
 	--exec-prefix= \
+	--bindir=/bin \
 	--with-rootprefix= \
 	--with-rootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
 	--disable-silent-rules
