=== debian/tests/control ===
Tests: udev
Depends:
  python3,
  tree,
  perl,
  xz-utils,
Restrictions: needs-root, allow-stderr, isolation-container, skippable
