=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=4
https://github.com/gentoo/eudev/tags .*/v?(\d\S+)\.tar\.gz
