## eudev 3.2.9.1.0antix7

=== debian/changelog ===
eudev (246:3.2.9.1.0antix7) unstable; urgency=medium

  * make sure we check for existece of /etc/init.d/udev before attempting to rmove it

 -- anticapitalista <antix@operamail.com>  Sun, 12 Sep 2021 19:52:19 +0300

eudev (246:3.2.9.1.0antix6) unstable; urgency=medium

  * fix conflicts in debian/control file

 -- anticapitalista <antix@operamail.com>  Sun, 12 Sep 2021 15:23:20 +0300
