=== debian/control ===
--- 
+++ 
@@ -53,6 +53,7 @@
         systemd (>> 220),
         plymouth (<< 0.9.0-7),
         bash-completion (<< 1:2.1),
+        runit-services-net-antix (<=0.1.4), 
 Description: /dev/ and hotplug management daemon
  eudev is a daemon which dynamically creates and removes device nodes
  from /dev/, handles hotplug events and loads drivers at boot time.
