## eudev 3.2.11

=== debian/changelog ===
eudev (246:3.2.11-0antix1) unstable; urgency=medium

  * latest upstream
  * antiX build

 -- anticapitalista <antix@operamail.com>  Fri, 17 Dec 2021 12:42:02 +0200

eudev (246:3.2.11~pre2-1.0antix1) unstable; urgency=medium

  * antiX build 

 -- anticapitalista <antix@operamail.com>  Tue, 07 Dec 2021 00:01:02 +0200

eudev (246:3.2.11~pre2-1) experimental; urgency=medium

  * update to 3.2.11-pre2 upstream

 -- Boian Bonev <bbonev@ipacct.com>  Thu, 02 Dec 2021 02:43:28 +0000
