=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
            Svante Signell <svante.signell@gmail.com>,
            Daniel Reurich <daniel@centurion.net.nz>,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Origin: Devuan
 Vcs-Git: https://git.devuan.org/devuan/eudev.git
 Vcs-Browser: https://git.devuan.org/devuan/eudev
 Homepage: https://wiki.gentoo.org/wiki/Project:Eudev
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.17.14),
                pkg-config,
                docbook-xsl,
@@ -35,11 +35,11 @@
 Package: eudev
 Architecture: linux-any
 Multi-Arch: foreign
-Provides: udev (= 232:${source:Version})
-Conflicts: udev (<< 232:${source:Version}), hal
-Replaces: udev (>= 232),
+Provides: udev (= 1:${source:Version})
+Conflicts: udev (<< 1:3.2.9+devuan4), hal
+Replaces: udev (>= 215),
 	  bash-completion (<< 1:2.1)
-Pre-Depends: debconf, ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          adduser,
@@ -53,7 +53,6 @@
         systemd (>> 220),
         plymouth (<< 0.9.0-7),
         bash-completion (<< 1:2.1),
-        runit-services-net-antix (<=0.1.4), 
 Description: /dev/ and hotplug management daemon
  eudev is a daemon which dynamically creates and removes device nodes
  from /dev/, handles hotplug events and loads drivers at boot time.
@@ -65,9 +64,9 @@
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
-Replaces: libudev1 (<< 232:${source:Version})
-Provides: libudev1 (= 232:${source:Version})
-Conflicts: libudev1 (<< 232:${source:Version})
+Provides: libudev1 (= 1:${source:Version})
+Conflicts: libudev1 (<< 1:3.2.9+devuan4)
+Replaces: libudev1 (>= 215)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -81,9 +80,9 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Replaces: libudev-dev (<< 232:${source:Version})
-Provides: libudev-dev (= 232:${source:Version})
-Conflicts: libudev-dev (<< 232:${source:Version})
+Provides: libudev-dev (= 1:${source:Version})
+Conflicts: libudev-dev (<< 1:3.2.9+devuan4)
+Replaces: libudev-dev (>= 215)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          libeudev1 (= ${binary:Version})
